aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog7
-rw-r--r--debian/patches/00list1
-rwxr-xr-xdebian/patches/03_tor_manpage_in_section_8.dpatch45
-rwxr-xr-xdebian/rules3
4 files changed, 54 insertions, 2 deletions
diff --git a/debian/changelog b/debian/changelog
index 0c9a141de..bafc0b2a5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,9 +1,12 @@
tor (0.0.6.1-2) unreleased; urgency=low
- *
+ *
* Recommend socat.
+ * Since tor is in /usr/sbin, the manpage should be in section 8, not
+ in section 1. Move it there, including updating the section in
+ the manpage itself and the reference in torify(1).
- -- Peter Palfrader <weasel@debian.org> Fri, 7 May 2004 01:09:13 +0200
+ -- Peter Palfrader <weasel@debian.org> Fri, 7 May 2004 01:22:17 +0200
tor (0.0.6.1-1) unstable; urgency=medium
diff --git a/debian/patches/00list b/debian/patches/00list
index 6400729f2..13c7d1b39 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1,2 +1,3 @@
01_uncomment_datadirectory.dpatch
02_add_debian_files_in_manpage.dpatch
+03_tor_manpage_in_section_8.dpatch
diff --git a/debian/patches/03_tor_manpage_in_section_8.dpatch b/debian/patches/03_tor_manpage_in_section_8.dpatch
new file mode 100755
index 000000000..e2a365b74
--- /dev/null
+++ b/debian/patches/03_tor_manpage_in_section_8.dpatch
@@ -0,0 +1,45 @@
+#! /bin/sh -e
+## 02_tor_manpage_in_section_8.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/weasel/projects/tor/cvs/contrib/torify.1 cvs/contrib/torify.1
+--- /home/weasel/projects/tor/cvs/contrib/torify.1 2004-02-17 01:45:25.000000000 +0100
++++ cvs/contrib/torify.1 2004-05-07 01:12:57.000000000 +0200
+@@ -18,6 +18,6 @@
+ binaries.
+
+ .SH SEE ALSO
+-.BR tor (1),
++.BR tor (8),
+ .BR tsocks (1),
+ .BR tsocks.conf (5).
+diff -urNad /home/weasel/projects/tor/cvs/doc/tor.1.in cvs/doc/tor.1.in
+--- /home/weasel/projects/tor/cvs/doc/tor.1.in 2004-04-18 20:40:42.000000000 +0200
++++ cvs/doc/tor.1.in 2004-05-07 01:12:12.000000000 +0200
+@@ -1,4 +1,4 @@
+-.TH TOR 1 "November 2003" "TOR"
++.TH TOR 8 "November 2003" "TOR"
+ .SH NAME
+ tor \- The second-generation onion router
+ .SH SYNOPSIS
diff --git a/debian/rules b/debian/rules
index 31aeb9ddb..646b68f36 100755
--- a/debian/rules
+++ b/debian/rules
@@ -70,6 +70,9 @@ install: build
# move tor to where it belongs
mv $(CURDIR)/debian/tor/etc/tor/torrc.sample $(CURDIR)/debian/tor/etc/tor/torrc
mv $(CURDIR)/debian/tor/usr/bin/tor $(CURDIR)/debian/tor/usr/sbin/tor
+ install -d $(CURDIR)/debian/tor/usr/share/man/man8
+ mv $(CURDIR)/debian/tor/usr/share/man/man1/tor.1 $(CURDIR)/debian/tor/usr/share/man/man8/tor.8
+
install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
install -m 644 contrib/torify.1 $(CURDIR)/debian/tor/usr/share/man/man1
install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor